
_Read_Register:

;Registers_Input_output.c,14 :: 		unsigned char Read_Register(){
;Registers_Input_output.c,17 :: 		char i=0;
	CLRF       Read_Register_i_L0+0
;Registers_Input_output.c,19 :: 		CargarDatos=0;
	BCF        RB6_bit+0, BitPos(RB6_bit+0)
;Registers_Input_output.c,20 :: 		delay_us(5);
	MOVLW      3
	MOVWF      R13+0
L_Read_Register0:
	DECFSZ     R13+0, 1
	GOTO       L_Read_Register0
;Registers_Input_output.c,21 :: 		CargarDatos=1;  // pulse to load data
	BSF        RB6_bit+0, BitPos(RB6_bit+0)
;Registers_Input_output.c,24 :: 		for( i = 0; i < 8; i++)
	CLRF       Read_Register_i_L0+0
L_Read_Register1:
	MOVLW      8
	SUBWF      Read_Register_i_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Read_Register2
;Registers_Input_output.c,26 :: 		valorBit = portb.b7; // Read the data bus
	MOVLW      0
	BTFSC      PORTB+0, 7
	MOVLW      1
	MOVWF      R2+0
;Registers_Input_output.c,27 :: 		valorBytes |= (valorBit << (7-i));
	MOVF       Read_Register_i_L0+0, 0
	SUBLW      7
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	MOVF       R2+0, 0
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Register12:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Register13
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Register12
L__Read_Register13:
	MOVF       R0+0, 0
	IORWF      R3+0, 1
;Registers_Input_output.c,28 :: 		Clock=1;
	BSF        RB5_bit+0, BitPos(RB5_bit+0)
;Registers_Input_output.c,29 :: 		delay_us(5);
	MOVLW      3
	MOVWF      R13+0
L_Read_Register4:
	DECFSZ     R13+0, 1
	GOTO       L_Read_Register4
;Registers_Input_output.c,30 :: 		Clock=0; // clock pulse to shift data
	BCF        RB5_bit+0, BitPos(RB5_bit+0)
;Registers_Input_output.c,24 :: 		for( i = 0; i < 8; i++)
	INCF       Read_Register_i_L0+0, 1
;Registers_Input_output.c,31 :: 		}
	GOTO       L_Read_Register1
L_Read_Register2:
;Registers_Input_output.c,32 :: 		return(valorBytes);
	MOVF       R3+0, 0
	MOVWF      R0+0
;Registers_Input_output.c,33 :: 		}
L_end_Read_Register:
	RETURN
; end of _Read_Register

_Write_Register:

;Registers_Input_output.c,35 :: 		void Write_Register(unsigned char _shiftdata)
;Registers_Input_output.c,39 :: 		temp = _shiftdata;
	MOVF       FARG_Write_Register__shiftdata+0, 0
	MOVWF      R4+0
;Registers_Input_output.c,40 :: 		i=8;
	MOVLW      8
	MOVWF      R2+0
	MOVLW      0
	MOVWF      R2+1
;Registers_Input_output.c,41 :: 		while (i>0)
L_Write_Register5:
	MOVF       R2+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Write_Register15
	MOVF       R2+0, 0
	SUBLW      0
L__Write_Register15:
	BTFSC      STATUS+0, 0
	GOTO       L_Write_Register6
;Registers_Input_output.c,43 :: 		if ((temp&0x80)==0)
	MOVLW      128
	ANDWF      R4+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Register7
;Registers_Input_output.c,45 :: 		SHIFT_DATA = 0;
	BCF        RB1_bit+0, BitPos(RB1_bit+0)
;Registers_Input_output.c,46 :: 		}
	GOTO       L_Write_Register8
L_Write_Register7:
;Registers_Input_output.c,49 :: 		SHIFT_DATA = 1;
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
;Registers_Input_output.c,50 :: 		}
L_Write_Register8:
;Registers_Input_output.c,51 :: 		temp = temp<<1;
	RLF        R4+0, 1
	BCF        R4+0, 0
;Registers_Input_output.c,52 :: 		SHIFT_CLOCK = 1;
	BSF        RB0_bit+0, BitPos(RB0_bit+0)
;Registers_Input_output.c,53 :: 		Delay_us(1);
	NOP
	NOP
;Registers_Input_output.c,54 :: 		SHIFT_CLOCK = 0;
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
;Registers_Input_output.c,55 :: 		i--;
	MOVLW      1
	SUBWF      R2+0, 1
	BTFSS      STATUS+0, 0
	DECF       R2+1, 1
;Registers_Input_output.c,56 :: 		}
	GOTO       L_Write_Register5
L_Write_Register6:
;Registers_Input_output.c,57 :: 		SHIFT_LATCH = 1;
	BSF        RB2_bit+0, BitPos(RB2_bit+0)
;Registers_Input_output.c,58 :: 		Delay_us(5);       //show data
	MOVLW      3
	MOVWF      R13+0
L_Write_Register9:
	DECFSZ     R13+0, 1
	GOTO       L_Write_Register9
;Registers_Input_output.c,59 :: 		SHIFT_LATCH = 0;
	BCF        RB2_bit+0, BitPos(RB2_bit+0)
;Registers_Input_output.c,60 :: 		Delay_us(5);
	MOVLW      3
	MOVWF      R13+0
L_Write_Register10:
	DECFSZ     R13+0, 1
	GOTO       L_Write_Register10
;Registers_Input_output.c,61 :: 		}
L_end_Write_Register:
	RETURN
; end of _Write_Register
