
#include "Registers_input_output.h"
#include "built_in.h"

#define SHIFT_CLOCK  RB0_bit
#define SHIFT_DATA   RB1_bit
#define SHIFT_LATCH  RB2_bit

#define Clock    RB5_bit
#define CargarDatos   RB6_bit
#define Dato   portb.b7


unsigned char Read_Register(){
unsigned   char valorBit;
unsigned char  valorBytes;
   char i=0;
    // Parallel charge pulse, saves input status
    CargarDatos=0;
    delay_us(5);
    CargarDatos=1;  // pulse to load data

    // // Read the byte value of the QH output of the 74HC165
     for( i = 0; i < 8; i++)
     {
        valorBit = portb.b7; // Read the data bus
       valorBytes |= (valorBit << (7-i));
         Clock=1;
         delay_us(5);
         Clock=0; // clock pulse to shift data
     }
    return(valorBytes);
}

void Write_Register(unsigned char _shiftdata)
{
unsigned int i;
unsigned char temp;
temp = _shiftdata;
i=8;
while (i>0)
{
if ((temp&0x80)==0)
{
SHIFT_DATA = 0;
}
else
{
SHIFT_DATA = 1;
}
temp = temp<<1;
SHIFT_CLOCK = 1;
Delay_us(1);
SHIFT_CLOCK = 0;
i--;
}
SHIFT_LATCH = 1;
Delay_us(5);       //show data
SHIFT_LATCH = 0;
Delay_us(5);
}